Module jdk.compiler
Package com.sun.source.doctree

# Interface LiteralTree

All Superinterfaces:
  `DocTree`, `InlineTagTree`

public interface LiteralTree extends InlineTagTree
A tree node for an `@literal` or `@code` inline tag.

        {@literal text}
        {@code text}

Since:
  1.8

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.doctree.DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type
Method
Description
`TextTree`
`getBody()`
Returns the body of the `@literal` or `@code` tag.

### Methods declared in interface com.sun.source.doctree.DocTree

`accept, getKind`

### Methods declared in interface com.sun.source.doctree.InlineTagTree

`getTagName`

## Method Details

### getBody

TextTree getBody()
Returns the body of the `@literal` or `@code` tag.

Returns:
  the body of the tag